;========================================================================
;   phnlst0.sc
;========================================================================
;
;  COPYRIGHT (c) 1992 BY
;  Enterprise Consulting Associates, Syracuse, New York.
;  All Rights Reserved.
;
;  This software is furnished under a license and may be used and copied
;  only in accordance with the terms of such license.
;
;  This software or any copies thereof may not be provided to or
;  otherwise be made available to any other person.
;
;  No title or ownership of this software is hereby transferred.
;  Any use of this software must include the above copyright notice.
;
;  The information in this software is subject to change without notice
;  and should not be construed as a commitment by Enterprise Consulting
;  Associates.
;
;  This software is provided as-is, without warranty.
;
;========================================================================

    ;
    ;  This PAL script adds a library to your AUTOLIB variable
    ;  then removes it after your program runs...
    ;
    ;  This script assumes that your program returns instead of quits.
    ;
    ;  Using this method of having application code in libraries and
    ;  running the applications from small scripts that call a procedure
    ;  rather than using the PLAY command, results in optimum performance
    ;  and memory management.
    ;
    ;  This method of saving the AUTOLIB variable results in short efficient
    ;  library searches but still maintains the availability of general use
    ;  procedures from a default library.
    ;
    APP_LIB = "C:\\PDX-PACK\\PHNLST"  ;Your application library

    IF ISASSIGNED(AUTOLIB) THEN            ;If AUTOLIB is assigned we want to
        OLD_AUTOLIB = AUTOLIB              ;save it for later.
        AUTOLIB = APP_LIB + "," + AUTOLIB  ;Prepend new library.
    ELSE
        AUTOLIB = APP_LIB                  ;Otherwise set the variable.
    ENDIF

    PL1_MAIN()                             ;Call your main procedure.

    IF ISASSIGNED(OLD_AUTOLIB) THEN        ;If there was an autolib, we use it
        AUTOLIB = OLD_AUTOLIB
    ELSE
        RELEASE VARS AUTOLIB               ;If not, we free it...
    ENDIF

    RELEASE VARS OLD_AUTOLIB               ;Free it so this will work again...
